Subject: bug#20015: 25.0.50; Slow Emacs startup after recent TRAMP changes

From: Michael Albinus <[email-masked]>
Date: Sun, 15 Mar 2015 16:14:03 +0100

Version: 25.1

Michael Albinus <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>>> only 3 times, and it is called only when you open a remote file
>>> (tramp.el is loaded).
>>
>> Loading tramp.el does not guarantee we want to open a remote file (it
>> could be a local file via /su: for example).
>
> Yes. In Emacs 25, I intend to delay evaluation of the code until it is
> really needed. (As usual, it will take some days; I'm too busy in real life).

I've committed a respective patch to the master branch, marking this bug
as fixed.

Best regards, Michael.